/* ---------------------------------------------------------------- */
//
// AppDelegate.h
// GuidePaddle
//
// Created by Christoph Birk on 2022-06-23
// Copyright © 2022 Carnegie Observatories. All rights reserved.
//
/* ---------------------------------------------------------------- */

#import <Cocoa/Cocoa.h>
#import "Notice.h"

/* ---------------------------------------------------------------- */

@interface AppDelegate : NSObject <NSApplicationDelegate>
{
  // Config/Preferences
  IBOutlet NSTextField   *edit_tcs_host,*edit_tcs_port;
  IBOutlet NSTextField   *edit_offset;
  IBOutlet NSPopUpButton *popup_inst,*popup_elsign,*popup_parity;
  // GuidePaddle Window
  IBOutlet NSWindow      *gpWindow;
  IBOutlet NSTextField   *edit_elev,*edit_para,*edit_pa;
  IBOutlet NSImageView   *view_compass,*view_tele;
}

- (IBAction)action_config:(id)sender;
- (IBAction)action_update:(id)sender;
- (IBAction)action_move:(id)sender;
- (IBAction)action_file:(id)sender;
- (IBAction)action_help:(id)sender;

@end

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */

