/* ---------------------------------------------------------------- */
//
// main.m
// GuidePaddle
//
// Created by Christoph Birk on 2022-06-23
// Copyright © 2022 Carnegie Observatories. All rights reserved.
//
/* ---------------------------------------------------------------- */

#define IS_MAIN_M
#define DEBUG  1

/* ---------------------------------------------------------------- */

#import <Cocoa/Cocoa.h>

#import "main.h"

/* ---------------------------------------------------------------- */


/* ---------------------------------------------------------------- */

int main(int argc, const char * argv[])
{
#if (DEBUG > 0)
#ifdef NDEBUG
  printf("Release build\n");
#else
  printf("Debug build\n");
#endif
#endif

#if (DEBUG > 0)
  printf("deployment target= %d\n",MAC_OS_X_VERSION_MIN_REQUIRED);
  { int a,b,c; YosVersion(&a,&b,&c); printf("OSversion= %d.%d.%d\n",a,b,c); }
#endif

  main_logger = nil;
  use_shared = FALSE;
  r_path = s_path = NULL;

  return NSApplicationMain(argc, argv);
}

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
