/* ---------------------------------------------------------------- */
//
// main.h
// GuidePaddle
//
// Created by Christoph Birk on 2022-07-18
// Copyright © 2022 Carnegie Observatories. All rights reserved.
//
/* ---------------------------------------------------------------- */

#ifndef INCLUDE_MAIN_H
#define INCLUDE_MAIN_H

/* ---------------------------------------------------------------- */

#import "Yutils.h"
#import "Logger.h"

/* ---------------------------------------------------------------- */

#define P_TITLE      "GuiderPaddle"
#define PROJECT_ID   27              // currently unused
                                     // 1=Magic,2=Max,3=Omega,4=WIRC
                                     // 5=IMACS,6=LDSS,7=PANIC,8=Mike
                                     // 9=RetroCam,10=CDIMM,11=FourStar
                                     // 12=NewCCD,13=BNC,14=CAPS
                                     // 15=MagE,16=PFS,17=DCU,18=M2FS
                                     // 19=Swope,20=duPontM2,21=duPontIMB
                                     // 22=Andor,23=ZWO,24=ADC
                                     // 25=MagGuider,26=GalilMotor
                                     // 27=GuidePaddle,28=Henrietta

/* ---------------------------------------------------------------- */

extern BOOL   use_shared;
extern Logger *main_logger;
extern char   *r_path,*s_path;

/* ---------------------------------------------------------------- */

#endif /* main_h */

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
